Support » Plugin: mqTranslate » mqTranslate Editor has disabled, using a no administrator user

  • Resolved Javier Glez

    (@slashhh)


    When I’m logged in with a user who is not an administrator, the mqTranslate Editor is disabled.

    The message is: “The mqTranslate Editor has disabled itself because it hasn’t been tested with your WordPress version yet. This is done to prevent WordPress from malfunctioning. To remove this message permanently, please update mqTranslate to the corresponding version.”

    I have also tried to change the constant QT_MAX_SUPPORTED_WP_MAJOR_VERSION and define it as “4.2” but is still disabled it.

    With an administrator user, everything works fine.

    Thanks for the PlugIn, and for the help.

    https://wordpress.org/plugins/mqtranslate/

Viewing 5 replies - 1 through 5 (of 5 total)
  • It is because in the function isWordPressMajorVersionSupported() (located in mqtranslate_wphacks.php), the value of $wp is not an array, it’s just an string (419).

    Just to fix it: You have to write “if($wp[$i] === ‘419’) { return true; }” in the function isWordPressMajorVersionSupported(), right below of “// Compare to maximum”. This change is not really dangerous.

    Thanks for the PlugIn, and regards.

    Plugin Author chsxf

    (@chsxf)

    Hi,

    I just tested with an Editor and a Contributor account and the editor is fine. I suppose you have another plugin that messes with mqTranslate.

    It’s posible. Ihave just few plugIns, but one of this is iThemes Security. Provably is this one, because the rest are a normal ones:

    iThemes Security
    Grunion Contact Form
    Jetpack por WordPress.com
    mqTranslate

    Thanks for your answer.

    Plugin Author chsxf

    (@chsxf)

    Try disabling iThemes Security and see if the problem is still there.

    I am so sorry… I founded the problem: It is my configuration of iThemes Security.

    In that plugIn is this option: “Display Random Version – Where a WordPress version must be displayed, it will display a random WordPress version and will remove the WordPress version completely where possible.”

    With this option, the admin user works good, but the rest of the users not.

    Thanks so much and Sorry one again…

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘mqTranslate Editor has disabled, using a no administrator user’ is closed to new replies.